Summary: MIME compliant mail reader w/ news support as well
Name: pine
Version: 3.95
Release: 2
Copyright: distributable
URL: http://www.washington.edu/pine
Group: Applications/Mail
Source: ftp://ftp.cac.washington.edu/pine/pine3.95.tar.gz
Patch0: pine3.94-patch1.diff
Patch1: pine3.94-optimize.patch
Patch2: pine3.95-glibc.patch
BuildRoot: /tmp/pine-build

%description
Pine is a very full featured text based mail and news client. It is
aimed at both novice and expert users. It includes an easy to use editor,
pico, for composing messages. Pico has gained popularity as a stand
alone text editor in it's own right. It features MIME support, address
books, and support for IMAP, mail, and MH style folders.

%prep
%setup -n pine3.95
%patch0 -p1
%patch1 -p1

%ifarch axp
%patch2 -p1 -b .noglibc
%endif

%build
./build lnx

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT/usr/lib
install -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
for n in pine pico pilot; do
    install -m 755 -o 0 -g 0 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
done

cd doc
for n in pine.1 pico.1 pilot.1; do
    install -m 644 -o 0 -g 0 $n $RPM_BUILD_ROOT/usr/man/man1
done
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/pine.conf
#
# Pine system-wide defaults file -- customize as needed.
#
# This file sets the system-wide configuration defaults used by Pine.
# If you have questions about specific settings see the section on
# configuration options in the Pine notes.  On Unix, run pine -conf to
# see how system defaults have been set.  For variables that accept
# multiple values, list elements are separated by commas.  A line
# beginning with a space or tab is considered to be a continuation of
# the previous line.  For a variable to be unset its value must be
# blank.  To set a variable to the empty string its value should be
# "". Switch variables are set to either "yes" or "no", and default to
# "no".  Lines beginning with "#" are comments, and ignored by Pine.

EOF
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed
#
# Pine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for pine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (/usr/lib/pine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of /usr/lib/pine.conf

EOF

chmod 0644 $RPM_BUILD_ROOT/usr/lib/pine.conf $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed
chown root.root $RPM_BUILD_ROOT/usr/lib/pine.conf $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed

%files
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes doc/mailcap.unx contrib
/usr/bin/pine
/usr/bin/pico
/usr/bin/pilot
/usr/man/man1/pico.1
/usr/man/man1/pine.1
/usr/man/man1/pilot.1
%config /usr/lib/mime.types
%config /usr/lib/pine.conf
%config /usr/lib/pine.conf.fixed
